package wobs.scene;

import java.util.*;

public class Messages {
  private static final String BUNDLE_NAME = "wobs.scene.messages";
  private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

  private Messages() {
  }

  public static String getString(String key) {
    try {     
      return RESOURCE_BUNDLE.getString(key);    
    } catch (MissingResourceException e) {
      return '!' + key + '!';
    }
  }
}