/*
 * @(#)SceneWob.java
 *
 * Copyright 2007 Demicron, Inc. All rights reserved.
 *
 * This software is the proprietary information of Demicron, Inc.
 */
package wobs.scene.player;

import com.wirefusion.player.*;

/**
 * The Scene Wob.
 */
public class SceneWob extends SceneWobBase {		
	
	/**
	 * @exclude
	 */
	public SceneWob() {
	}
	

	/**
	 * Creates a new Scene, with the specified background image.
	 * 
	 * @param core a reference to the core
	 * @param bgImage a WFImage object. The image must be an RGB image.
	 */
	public SceneWob(Core core, WfImage bgImage) {
		super(core, bgImage);		
	}
	
	/**
	 * Renders this Scene, i.e. paints all active Wobs
	 */
	/*public void render() {
		super.render();
	}*/
	
	/*public SceneWob(Core core, int width, int height, int bgColor, int[] bgRgbPixels) {
		super(core, width, height, bgColor, bgRgbPixels);
	}*/
}
