package wobs.text;

import java.awt.*;

import javax.swing.*;

import wobs.text.*;

import com.wirefusion.gui.*;
import com.wirefusion.project.*;

public class TextPropertiesPanel extends WobPropertiesPanel {
  private JCheckBox startupBox;
  private JTextArea textArea;
  private TextProperties textProperties;
  

  
  //private int[] hm = new int[10000000];    
  public TextPropertiesPanel() {
  	
  }
  
  public void init(WobProperties wobProperties) {
  		textProperties = (TextProperties)wobProperties;
      JPanel panel = new JPanel();
      setLayout(new BorderLayout());
      add("Center", panel);

      panel.setLayout(new GridBagLayout());
      GridBagConstraints gbc = new GridBagConstraints();
      gbc.insets = new Insets(5,5,5,5);
      gbc.weightx = 1;
      gbc.weighty = 1;

      gbc.gridx = 0;
      gbc.gridy = 0;
      gbc.weightx = 1000;
      gbc.weighty = 1000;
      gbc.fill = GridBagConstraints.BOTH;
      /*if (textProperties.getString().length() < 100) {
      	textArea = new JTextArea(15,50);
      } else {*/
      textArea = new JTextArea(40,120);
      //}
      textArea.setText(textProperties.getString());
      panel.add(new JScrollPane(textArea),gbc);
      gbc.weightx = 1;
      gbc.weighty = 1;

      gbc.gridx = 0;
      gbc.gridy = 1;
      gbc.fill = GridBagConstraints.NONE;
      gbc.gridwidth=2;
      gbc.anchor=GridBagConstraints.WEST;
      startupBox=new JCheckBox(Messages.getString("TextProperties.Push_text_at_presentation_startup"),textProperties.isPushAtStartup()); //$NON-NLS-1$
      panel.add(startupBox,gbc);
      
  }

  public void apply() {
      textProperties.setString(textArea.getText());
      textProperties.setPushAtStartup(startupBox.isSelected());
  }
}